Replay VisionList Scouts

List Scouts

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/replay-vision/scanners/123e4567-e89b-12d3-a456-426614174000/scouts" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "scanner_id": "123e4567-e89b-12d3-a456-426614174000",
      "location_id": "example_string",
      "name": "John Doe",
      "template": "example_string",
      "instructions": "example_string",
      "schedule": {
        "kind": "daily",
        "time": "example_string",
        "day_of_week": 42,
        "timezone": "example_string"
      },
      "delivery": {
        "channel_ids": [
          "123e4567-e89b-12d3-a456-426614174000"
        ]
      },
      "enabled": true,
      "version": 42,
      "next_run_at": "2024-12-25T10:00:00Z",
      "last_run_at": "2024-12-25T10:00:00Z",
      "last_report_at": "2024-12-25T10:00:00Z",
      "last_error": "example_string",
      "latest_report_id": "123e4567-e89b-12d3-a456-426614174000",
      "sources": [
        "observations"
      ],
      "current_run": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "status": "pending",
        "scheduled_for": "2024-12-25T10:00:00Z",
        "triggered_by": "schedule",
        "attempts": 42
      },
      "can_run_now": true,
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/client/v1/replay-vision/scanners/{id}/scouts
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.

Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) need replay_vision:read or replay_vision:write.

Path Parameters

Responses

successboolean
dataarray